<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Country extends Eloquent {

	protected $table = 'countries';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('name', 'name_ar', 'code', 'icon', 'is_active');

	public function cities()
	{
		return $this->hasMany('App\Models\City');
	}

	public function users()
	{
		return $this->hasMany('App\Models\User');
	}

}