<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Favourite extends Eloquent {

	protected $table = 'favourites';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('user_id', 'property_id');

	public function user()
	{
		return $this->belongsTo('App\Models\User');
	}

	public function property()
	{
		return $this->belongsTo('App\Models\Property');
	}

}